#!/bin/bash
#PBS -S /bin/bash
#PBS -j oe
#PBS -o pbs.out
#PBS -l nodes=1:ppn=12

# Generate unique directory name [DO NOT CHANGE]
# ==============================================

# store my username
username=`whoami`

# set the name of the temporary directory on the compute-node as a combination
# of the username and the job-id (assigned by the queuing system)
computedir="/state/partition1/$username/${PBS_JOBID%%.*}"

# 1. Transfer to node [DO NOT CHANGE]
# ===================================

# create/empty the temporary directory on the compute-node
if [ ! -d "$computedir" ]; then
   mkdir -p "$computedir"
else
   rm -rf "${computedir}"/*
fi

# change current directory to the location of the qsub-command
# (in the home directory on the head-node)
cd ${PBS_O_WORKDIR}
# copy all files/folders in the directory of the qsub-command
cp -prf * $computedir
# change directory to the temporary directory on the compute-node
cd $computedir

# 2. Execute [MODIFY TO YOUR NEED]
# ================================

# create a file with the hostname in the folder of the qsub-command
echo `hostname` > ${PBS_O_WORKDIR}/computenode.txt

# print a personal string
#file= "startup2"
#if [ -f $file ]; then
#  rm $file
#fi

#echo "Startup time: $(date)" >> startup2

starccm+ -batch -np 12 -load report_1_v3.sim -batch updateSTARCCMModel.java

# wait 5 seconds
#sleep 5
#echo "Finished time: $(date)" >> startup2
sleep 5

# 3. Transfer back to the head-node [DO NOT CHANGE]
# =================================================

# change directory to the location of the qsub-command (on the head-node)
cd "${PBS_O_WORKDIR}"
# copy everything from the temporary directory on the compute-node
cp -prf "${computedir}"/* .
# erase the temporary directory from the compute-node
rm -rf "$computedir"

